Subject: Re: Toplevel configury of src
From: Nicholas Wourms <[email-masked]>
To: Nathanael Nerode <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Wed, 10 Jul 2002 08:14:59 -0700 (PDT)

--- Nathanael Nerode <[email-masked]> wrote:
> The toplevel configury of src is, as all you developers know, a mess.
> I've been trying to clean it up over at gcc.  I ran into a bizarre
> situation and was told that Cygwin people might be able to help clear it
> up.
> 
> Suppose you're building a combined tree of some sort with target
> *-*-cygwin*
> powerpc*-*-winnt*
> powerpc*-*-pe*
> ppc*-*-pe
> 
> According to the comments, newlib is 'always' built.  This is false.
> 
> If --without-newlib was specified and host=target, the newlib in the
> tree is not built.
> 
> If --without-newlib is specified and host!=target, the newlib in the
> tree is built, but it isn't used; --with-newlib isn't passed to
> subconfigures, and nothing is added to FLAGS_FOR_TARGET for newlib.
> 
> This is almost certainly wrong behavior.
> 
> How should --without-newlib behave when targeting *-*-cygwin* (and the
> others)?
> 
> Should it mean "Don't build or use the newlib in the tree; use installed
> libs and headers, or the ones specified with --with-libs and
> --with-headers"?
> 
> Should it be illegal, and give an error message?
> 
> Should it be unspecified, in which case I can change its behavior for
> code cleanliness?
> 
> Please send responses to [email-masked].  Thanks.
Hmm,

Perhaps switching everthing over to
Autoconf-2.53/Automake-1.6.2/Libtool-1.4e compatible versions might help?

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/